Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 813530 - LSB: Starts and stops login and scanning of iSCSI devices Failed on bootup
Summary: LSB: Starts and stops login and scanning of iSCSI devices Failed on bootup
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: iscsi-initiator-utils
Version: 16
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Mike Christie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-17 19:12 UTC by Rafael Louback Ferraz
Modified: 2012-06-26 16:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-20 22:32:54 UTC


Attachments (Terms of Use)
smolt profile (deleted)
2012-04-17 19:12 UTC, Rafael Louback Ferraz
no flags Details
/var/log/messages (deleted)
2012-04-18 01:53 UTC, Rafael Louback Ferraz
no flags Details

Description Rafael Louback Ferraz 2012-04-17 19:12:37 UTC
Created attachment 578132 [details]
smolt profile

While booting up this service fail.

Comment 1 Mike Christie 2012-04-17 20:54:33 UTC
So are you using iscsi, or are you just reporting that the iscsi service is starting and failing?

What is failing? I did not understand the "stop" part in the bugzilla description?

Could you send the /var/log/messages with the failure?

Comment 2 Rafael Louback Ferraz 2012-04-18 01:52:56 UTC
just reporting that iscsi service is starting and failing. This is slowing down my bootup process.

the start and stop is just the description I get when I run:

systemctl --failed

Comment 3 Rafael Louback Ferraz 2012-04-18 01:53:39 UTC
Created attachment 578205 [details]
/var/log/messages

Comment 4 Mike Christie 2012-04-18 05:02:20 UTC
(In reply to comment #2)
> just reporting that iscsi service is starting and failing. This is slowing down
> my bootup process.
> 

How much is slowing down boot? Minutes?

There was a bug where the iscsi init script was waiting a long time for the network to come up even if you were not using iscsi. It was fixed in
https://admin.fedoraproject.org/updates/iscsi-initiator-utils-6.2.0.872-17.fc16
bz:
https://bugzilla.redhat.com/show_bug.cgi?id=789683

Are you using any virt stuff? If not then you can just disable iscsi. Vrit brings in iscsi and needs it started, so it is getting installed by default on many systems.

Comment 5 Rafael Louback Ferraz 2012-04-18 22:11:51 UTC
not minutes, but its a 10~15 seconds

Im not using virt, How can I disable iscsi? This isnt supposed to be done automatically by the system?

Comment 6 Mike Christie 2012-04-19 21:45:38 UTC
(In reply to comment #5)
> not minutes, but its a 10~15 seconds
> 
> Im not using virt, How can I disable iscsi? This isnt supposed to be done
> automatically by the system?

 chkconfig --del iscsi
 chkconfig --del iscsid


It is not getting done auotmatically by the system because something is installing it. We have seen this in the past when some virt tools are installed (they bring in iscsi and they need iscsi to be run).

Comment 7 Rafael Louback Ferraz 2012-04-20 22:32:54 UTC
today, after some fedora updates. this problem was fixed. Thanks for the help


Note You need to log in before you can comment on or make changes to this bug.